Skip to main content
`Ctrl`+`K`

# smallpond.logical.node.LimitNode

class smallpond.logical.node.LimitNode(ctx: Context, input_dep: Node, limit: int)

  Limit the number of rows of the output of an input node.

  __init__(ctx: Context, input_dep: Node, limit: int) → None

    Construct a LimitNode to limit the number of rows of the output of input_dep.

    ## Parameters

    input_dep

      The input node whose output would be limited.

    limit

      The number of rows to be limited.

  Methods

  `__init__`(ctx, input_dep, limit) | Construct a LimitNode to limit the number of rows of the output of input_dep.
  `add_perf_metrics`(name, value) |
  `create_merge_task`(*args, **kwargs) |
  `create_task`(*args, **kwargs) |
  `get_perf_stats`(name) |
  `slim_copy`() |
  `spawn`(*args, **kwargs) |
  `task_factory`(task_builder) |

  Attributes

  `default_cpu_limit` |
  `default_memory_limit` |
  `default_row_group_size` |
  `enable_resource_boost` |
  `max_udf_cpu_limit` |
  `num_partitions` |
  `oneline_query` |